#include <catch2/catch_test_macros.hpp>
#include "dbc.hpp"

using namespace dbc;

TEST_CASE("basic feature tests", "[dbc]") {
  log("Logging a message.");

  pre("confirm positive cases work", 1 == 1);

  pre("confirm positive lambda", [&]{ return 1 == 1;});

  post("confirm positive post", 1 == 1);

  post("confirm postitive post with lamdba", [&]{ return 1 == 1;});

  check(1 == 1, "one equals 1");
}
